/*
 * Copyright (c) 1993 Addison-Wesley Publishing Company.
 * All rights reserved.  This source code is provided
 * for its instructional value, and is not guaranteed
 * for any particular purpose.
 */
#include <unistd.h>
#include <errno.h>

int
mread(int fd, char *buf, int len)
{
	int n;

	while (len > 0) {
		n = read(fd, buf, len);
		if (n <= 0) {
			if (n == 0)	/* unexpected EOF */
				errno = EPROTO;
			return(-1);
		}
		len -= n;
		buf += n;
	}
	return(0);
}
