/*
 * Copyright (c) 1993 Addison-Wesley Publishing Company.
 * All rights reserved.  This source code is provided
 * for its instructional value, and is not guaranteed
 * for any particular purpose.
 */
#include <rpc/rpc.h>
#include <stdio.h>
#include <stdlib.h>

void
main(int argc, char *argv[])
{
	enum clnt_stat status;
	CLIENT *handle;
	struct timeval t;

	if (argc != 2) {
		fprintf(stderr, "usage: %s hostname\n", argv[0]);
		exit(1);
	}

	/*
	 * Create a client handle.
	 */
	handle = clnt_create(argv[1], PROGNUM, VERSNUM,
	  "netpath");
	if (handle == NULL) {
		fprintf(stderr,
		  "%s: can't create client handle: %s\n",
		  argv[0], clnt_spcreateerror(""));
		exit(1);
	}

	/*
	 * Get rid of the default authentication info.
	 */
	auth_destroy(handle->cl_auth);

	/*
	 * Allocate AUTH_SYS credentials using the
	 * current process context.
	 */
	handle->cl_auth = authsys_create_default();
	if (handle->cl_auth == NULL) {
		fprintf(stderr,
		  "%s: can't create client handle\n", argv[0]);
		exit(1);
	}

	/*
	 * Set the timeout and make the remote procedure call.
	 */
	t.tv_sec = 10;
	t.tv_usec = 0;
	status = clnt_call(...);
}
